%bcond_without check

%global goipath         github.com/rakyll/statik
Version:                0.1.7

%gometa

%global common_description %{expand:
Statik allows you to embed a directory of static files into your Go binary to be
later served from an http.FileSystem.}

%global golicenses      LICENSE
%global godocs          example README.md

Name:           %{goname}
Release:    2%{?dist}
Summary:        Embed files into a Go executable

License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}
Patch0:         0001-Use-Modified.UTC-instead-of-ModTime.patch
Patch1:         0001-Fix-Println-arg-list-ends-with-redundant-newline.patch

%description
%{common_description}

%gopkg

%prep
%goprep
%patch -P0 -p1
%patch -P1 -p1

%build
%gobuild -o %{gobuilddir}/bin/statik %{goipath}

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck -d fs
%endif

%files
%license LICENSE
%doc example README.md
%{_bindir}/*

%gopkgfiles

%changelog
* Mon Jun 09 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.1.7-2
- Rebuilt for loongarch64

* Mon Aug 19 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
